import { h } from 'preact';

export type PuzzleType = 2 | 3 | 4;

export const PUZZLE_TYPES: PuzzleType[] = [2, 3, 4];

export function PuzzleTypeDisplay(props: { type: PuzzleType, active?: boolean }) {
    const { type, active } = props;
    const isActive = active === undefined ? true : active;
    return <span class={`puzzle-type ${isActive ? 'letter-correct' : ''}`}>{type}</span>;
}
